Skip to main content
GET
/
v1
/
users
/
{user_id}
/
connected_apps
C#
// GET /v1/users/{user_id}/connected_apps
const stytch = require('stytch');

const client = new stytch.Client({
  project_id: '${projectId}',
  secret: '${secret}',
});

const params = {
  user_id: "${userId}",
};

client.Users.ConnectedApps(params)
  .then(resp => { console.log(resp) })
  .catch(err => { console.log(err) });
{
  "request_id": "<string>",
  "connected_apps": [
    {
      "connected_app_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "client_type": "<string>",
      "scopes_granted": "<string>",
      "logo_url": "<string>"
    }
  ],
  "status_code": 123
}
Retrieves a list of Connected Apps with which the User has successfully completed an authorization flow. If the User revokes a Connected App’s access (e.g. via the Revoke Connected App endpoint) then the Connected App will no longer be returned in the response.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

user_id
string
required

The unique ID of a specific User. You may use an external_id here if one is set for the user.

Response

Successful response

request_id
string
required

Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.

connected_apps
object[]
required

An array of Connected Apps with which the User has successfully completed an authorization flow.

status_code
integer<int32>
required